VMWare Compute Resource, Select prefered ESXi host or host Group

06/24/2013 04:29 AM - Peter Gustafsson

Status: New   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a new host using VMWare compute resource it would be great to be able to select on which ESXi host in the cluster it

should be created on

There are some cases where its desirable to have a VM running on a specific host in an ESX cluster. This may be operational

(grouping VMs with similar service levels together), performance ("manual" load balancing, keeping "developer" VMs seperate from

"production" VMs, etc.) or a number of other organizational specific reasons.

/ Peter

Related issues:

Has duplicate Foreman - Feature #12085: Choice to select hypervisor on Provis... Duplicate 10/07/2015

History

#1 - 06/24/2013 04:33 AM - Dominic Cleal

- Category set to Compute resources

#2 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#3 - 10/07/2015 07:37 AM - Dominic Cleal

- Has duplicate Feature #12085: Choice to select hypervisor on Provisioning VM on VMware added

#4 - 02/20/2016 02:16 AM - Mario Gamboa

Any update for this RFE is almost 2 years now and nobody is looking on it?

#5 - 06/16/2016 10:53 AM - Timo Goebel

- Description updated

- Assignee set to Timo Goebel

fog-vsphere supports the necessary changes.

https://github.com/fog/fog-vsphere/pull/38

It should be fairly easy to add this to theforeman now.

We just need to list the hosts in the ui and pass the parameter to fog.
